Work Center Shift
The work center shift resource.
Basehttps://rest.carbon.ms/workCenterShift
GET
/workCenterShiftList work center shifts
Retrieve a paginated list of work center shifts. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/workCenterShift
curl --request GET \
--url 'https://rest.carbon.ms/workCenterShift?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"workCenterId": "xyz789",
"shiftId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/workCenterShiftRetrieve a work center shift
Fetch a single work center shift by filtering on `id`.
Query parameters
idstringMatch on the work center shift's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/workCenterShift
curl --request GET \
--url 'https://rest.carbon.ms/workCenterShift?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"workCenterId": "xyz789",
"shiftId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/workCenterShiftCreate a work center shift
Create a new work center shift.
Body parameters
workCenterIdstringrequiredReferences workCenter.id
shiftIdstringrequiredReferences shift.id
POSThttps://rest.carbon.ms/workCenterShift
curl --request POST \
--url https://rest.carbon.ms/workCenterShift \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"workCenterId":"xyz789","shiftId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"workCenterId": "xyz789",
"shiftId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/workCenterShiftUpdate a work center shift
Update an existing work center shift, matched on `id`.
Body parameters
workCenterIdstringrequiredReferences workCenter.id
shiftIdstringrequiredReferences shift.id
PATCHhttps://rest.carbon.ms/workCenterShift
curl --request PATCH \
--url 'https://rest.carbon.ms/workCenterShift?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"workCenterId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"workCenterId": "xyz789",
"shiftId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/workCenterShiftDelete a work center shift
Delete a work center shift, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the work center shift to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/workCenterShift
curl --request DELETE \
--url 'https://rest.carbon.ms/workCenterShift?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content